@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

/* body,html {
    height: 100vh;
    width: 100%;
} */

body {
    background-color: #222;
}

.card {
    width: 90%;
    max-width: 470px;
    padding: 40px 20px;
    padding-bottom: 30px;
    margin: 80px auto 10px;
    background: linear-gradient(135deg, #00feba, #5b548a);
    color: #fff;
    border-radius: 10px;
    text-align: center;
}

.card .search {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.card .search input {
    border: none;
    outline: none;
    flex: 1;
    height: 50px;
    padding: 10px 25px;
    margin-right: 10px;
    background-color: #ebfffc;
    color: #222;
    border-radius: 50px;
    font-size: 1rem;
}

.card .search .search-btn {
    height: 50px;
    width: 50px;
    background-color: #ebfffc;
    border-radius: 50px;
    outline: none;
    border: none;
    cursor: pointer;
}

.card .search .search-btn img {
    height: 16px;
}

.weather img {
    height: 140px;
    margin-top: 10px;
}

.weather h1 {
    font-size: 2.60rem;
    font-weight: 500;
}

.weather h2 {
    font-size: 2.10rem;
    font-weight: 400;
    margin-top: -10px;
}

.feeling {
    margin-top: 5px;
    background: linear-gradient(135deg,  #00feba, #5b548a);
    padding: 2px 0;
    border-radius: 50px;
    width: 40%;
    transform: translate(129px, 5px);
    text-align: center;
}

.real-feel, .real-feel-value {
    display: inline-block;
    font-weight: 600;
    font-size: 0.8rem;
}

.details {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-top: 40px;
    padding: 0 5px;
}

.col {
    display: flex;
    align-items: center;
    text-align: left;
}

.col img {
    height: 45px;
    margin-right: 12px;
}

.details-2 {
   margin-top: 20px;
   justify-content: space-between;
   padding: 0 25px;
   margin-right: 5px;
}

.col-2 img {
    height: 85px;
    margin-right: 5px;
}

.details p {
  font-weight: 500;
}

.humidity, .wind {
    font-size: 1.40rem;
}

.sunrise-time, .sunset-time{
    font-size: 1.50rem;
}

.weather {
    display: none;
}

.error {
    font-size: 0.9rem;
    font-weight: 500;
    text-align: left;
    margin: 8px 15px;
    color: red;
    display: none;
}

.country-name, .city span {
    font-size: 0.9rem;
    font-weight: 600;
}

.last-note .note-para {
    font-size: 0.8rem;
    margin-top: 5px;
}


@media only screen and (max-width:479px){
    body {
        background: linear-gradient(135deg, #00feba, #5b548a);
        overflow-x: hidden;
    }

    .card {
        background: none;
        width: 100%;
        height: 100vh;
        margin: 0 auto 0;
    }

    .card .search {
        width: 90%;
    }

    .card .search .search-btn {
        height: 40px;
        width: 40px;
    }

    .details {
        padding: 0;
    }

    .details-2 {
        padding: 0 15px;
        margin-right: 15px;
    }

    .col img {
        height: 30px;
        margin-right: 10px;
    }

    .humidity, .wind {
        font-size: 1.10rem;
    }

    .col-2 img {
        height: 65px;
        margin-right: 2px;
    }

    .feeling {
        transform: none;
        width: 100%;
    }
    
}